---
search:
  tags:
    - Inboxes
    - DELETE
seo:
  description: >-
    Moves it to trash, where it is deleted after 30 days;… Reference for the
    DELETE /inboxes/{inbox_id}/threads/{thread_id} endpoint in the BillionSend
    API.
sidebar:
  label: Delete a thread
  badge: DELETE
title: Delete a thread
type: openapi-operation
---
Moves it to trash, where it is deleted after 30 days; moving it out of trash restores it. deleted is false when it was in trash already.

`DELETE /inboxes/{inbox_id}/threads/{thread_id}`

**Responses**

- `200` — Thread moved to trash
- `401` — Missing, malformed, unknown or revoked API key
- `404` — Not found
- `429` — Over the rate limit (rate\_limit\_exceeded, with Retry-After)

Response example, 200:

```json
{
  "object": "inbox_thread",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "deleted": true
}
```
